> For the complete documentation index, see [llms.txt](https://docs.xorosoft.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xorosoft.com/developers-api/fulfillment-and-wave-management/create-or-update-carrier.md).

# Create or Update Carrier

It is used to create the carriers by using request format.

| Field                    | Data Type | Default Value | Description                                                                       |
| ------------------------ | --------- | ------------- | --------------------------------------------------------------------------------- |
| `Name`                   | string    | NA            | The name of the carrier.                                                          |
| `Description`            | string    | NA            | A description for the carrier.                                                    |
| `ShippingIncomeAccntId`  | string    | NA            | Shipping income account ID.                                                       |
| `ShippingExpenseAccntId` | string    | NA            | Shipping expense account ID.                                                      |
| `ShipServiceList`        | string    | NA            | Name - Name of the ship service. Code - An abbreviated code for the ship service. |
| `ShipPackageList`        | string    | NA            | Name - Name of the package list. Code - An abbreviated code for the ship package. |

Note: If you do not have access to account IDs, please request them from the client.

```json
{"openapi":"3.0.3","info":{"title":"Xorosoft ERP Public API","version":"2026.07"},"tags":[{"name":"Fulfillment and Wave Management","description":"Use Fulfillment and Wave Management APIs to retrieve waves, create waves, fulfill waves, ship waves, confirm shipments, manage carriers and shipping terms, and support warehouse execution workflows. These APIs are designed for WMS, shipping, 3PL, and fulfillment integrations that need to move orders from allocation through picking, packing, shipping, and confirmation."}],"servers":[{"url":"https://res.xorosoft.io","description":"Xorosoft ERP API server"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"scheme":"basic","type":"http"}}},"paths":{"/api/xerp/shipping/carriers/create":{"post":{"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"Data":{"type":"string"},"IsForwardRequest":{"type":"boolean"},"Message":{"type":"string"},"MessageTitle":{"type":"string","nullable":true},"Result":{"type":"boolean"}},"type":"object"}}},"description":"OK","headers":{}}},"tags":["Fulfillment and Wave Management"],"description":"It is used to create the carriers by using request format.\nField               |Data Type          |Default Value          |Description\n-------------------|-------------------|-------------------|--------------\n``Name``|string|NA|The name of the carrier.\n``Description``|string|NA|A description for the carrier.\n``ShippingIncomeAccntId ``|string|NA|Shipping income account ID.\n``ShippingExpenseAccntId``|string|NA|Shipping expense account ID.\n``ShipServiceList``|string|NA|Name - Name of the ship service. Code - An abbreviated code for the ship service.\n``ShipPackageList``|string|NA|Name - Name of the package list. Code - An abbreviated code for the ship package.\n\nNote: If you do not have access to account IDs, please request them from the client.","operationId":"post_shipping_carriers_create","requestBody":{"content":{"application/json":{"schema":{"properties":{"Description":{"type":"string"},"Name":{"type":"string"},"ShipPackageList":{"items":{"properties":{"Code":{"type":"string"},"Name":{"type":"string"}},"required":["Name","Code"],"type":"object"},"type":"array"},"ShipServiceList":{"items":{"properties":{"Code":{"type":"string"},"Name":{"type":"string"}},"required":["Name","Code"],"type":"object"},"type":"array"},"ShippingExpenseAccntId":{"type":"string"},"ShippingIncomeAccntId":{"type":"string"}},"type":"object"}}}},"summary":"Create or Update Carrier"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xorosoft.com/developers-api/fulfillment-and-wave-management/create-or-update-carrier.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
